| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
Digikam::MimeFilter Class Reference
Inheritance diagram for Digikam::MimeFilter:

## Public Types
enum | TypeMimeFilter { AllFiles = 0 , ImageFiles , RAWFiles , DNGFiles , NoRAWFiles , JPGFiles , JPEG2000Files , JPEGXLFiles , WEBPFiles , PNGFiles , TIFFiles , PGFFiles , HEIFFiles , AVIFFiles , MoviesFiles , AudioFiles , RasterGraphics }

## Public Member Functions
| MimeFilter (QWidget *const parent)
int | mimeFilter ()
void | setMimeFilter (int filter)

## Member Enumeration Documentation

## ◆ TypeMimeFilter

enum Digikam::MimeFilter::TypeMimeFilter

Enumerator
RAWFiles | All Raw file formats such as nef, cr2, arw, pef, etc..
HEIFFiles | HEVC H265 compression based containers.
RasterGraphics | PSD, XCF, etc...